PipeWire 0.1.9

Data Structures | Functions
pipewire.c File Reference
Include dependency graph for pipewire.c:

## Data Structures
struct | support_info

## Functions
void * | pw_get_support_interface (const char *type)
| Get a support interface. More...
const struct spa_handle_factory * | pw_get_support_factory (const char *factory_name)
const struct spa_support * | pw_get_support (uint32_t *n_support)
void * | pw_get_spa_dbus (struct pw_loop *loop)

## Function Documentation

## ◆ pw_get_spa_dbus()

void* pw_get_spa_dbus | ( | struct pw_loop * | loop | ) |

Referenced by pw_core::pw_core_new().

## ◆ pw_get_support()

const struct spa_support* pw_get_support | ( | uint32_t * | n_support | ) |

Referenced by pw_loop::pw_loop_new().

## ◆ pw_get_support_factory()

const struct spa_handle_factory* pw_get_support_factory | ( | const char * | factory_name | ) |

Referenced by pw_loop::pw_loop_new().

## ◆ pw_get_support_interface()

void* pw_get_support_interface | ( | const char * | type | ) |

Get a support interface.

Parameters

  type | the interface type

Returns
  the interface or NULL when not configured

Referenced by pw_type::pw_type_init().